<?php
require $_SERVER['DOCUMENT_ROOT'].'/hethong/config.php';

$username = strip_tags($_POST['username']);
$domain = strip_tags($_POST['domain']);

$user = $ketnoi->query("SELECT * FROM `users` WHERE `username` = '$username' ")->fetch_array();

if ($username == "") {
    $response = array('success' => false, 'message' => 'Đăng nhập để thực hiện tính năng này');
} elseif (!isset($user['username'])) {
    $response = array('success' => false, 'message' => 'Vui lòng đăng nhập');
} elseif ($domain == "" ) {
    $response = array('success' => false, 'message' => 'Vui lòng nhập tên miền cần kiểm tra');
} else {
    
    $url = 'https://whois.net.vn/whois.php?domain=' . $domain;
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $data = curl_exec($ch);
    curl_close($ch);
    $st_mien = json_decode($data, true);
    if ($st_mien!=1) {
        $response = array('success' => true, 'message' => 'Tên Miền Chưa Được Đăng Ký');
    } else {
        $response = array('success' => false, 'message' => 'Tên Miền Đã Được Đăng Ký');
    }
}

echo json_encode($response);
?>
